## feh 1.7

=== debian/changelog ===
feh (1.7-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jun 2010 13:33:17 +0200

feh (1.6.1-1) unstable; urgency=low

  * New upstream version
  * debian/rules: enable full testing

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jun 2010 22:13:19 +0200

feh (1.6-1) unstable; urgency=low

  * New upstream version
    Closes: #430218
  * debian/control: Build-Depends: perl-modules, libtest-command-perl
    to enable testing

 -- Andreas Tille <tille@debian.org>  Tue, 01 Jun 2010 11:37:21 +0200

feh (1.5-1) unstable; urgency=low

  * New upstream version
  * debian/rules: empty override_dh_auto_test rule because the test
    target calls only a private script of upstream

 -- Andreas Tille <tille@debian.org>  Thu, 06 May 2010 14:42:46 +0200

feh (1.4.3-1) unstable; urgency=low

  * New upstream version
  * debian/rules:
    - Upstream switched to cmake
    - general polishing, by removing old remarks and unneeded
      get-orig-source target
  * debian/control: automake, cdbs removed from Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 22 Apr 2010 23:20:22 +0200

feh (1.4.1-1) unstable; urgency=low

  * New upstream version
  * debian/rules: Upstream now uses the file names as in Debian
    so there is no need for renaming any more

 -- Andreas Tille <tille@debian.org>  Wed, 17 Mar 2010 22:40:46 +0100

feh (1.4-1) unstable; urgency=low

  * New upstream version
    Closes: #394908
  * Recommends: libjpeg-progs (according to hint from upstream)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Mar 2010 21:31:29 +0100

feh (1.3.5-2) unstable; urgency=low

  * Rebuild agains libimlib2 >= 1.4.2-8
    Closes: #569743

 -- Andreas Tille <tille@debian.org>  Mon, 15 Feb 2010 09:00:37 +0100

feh (1.3.5-1) unstable; urgency=low

  * New upstream version released by new upstream maintainer
    All Debian patches applied, so debian/patches removed.
    According to upstream it also
    Closes: #327296, #373209
  * Now using using source format `3.0 (quilt)' for orig.tar.bz support.
  * Rewritten debian/copyright to machine readable format

 -- Andreas Tille <tille@debian.org>  Tue, 09 Feb 2010 08:19:02 +0100

feh (1.3.4.dfsg.1-5) unstable; urgency=low

  * debian/patches/06_transparency.patch: Fix transparency problem
    Thanks to Daniel Friesel <derf@chaosdorf.de> for the patch
    Closes: #302750

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2010 09:38:04 +0100

feh (1.3.4.dfsg.1-4) unstable; urgency=low

  * debian/patches/04_fix_help_output_obtained_from_svn.patch: Took
    over a patch from SVN to fix a documentation issue
  * debian/patches/05_xinerama.patch: Enable fullscreen on all
    screens when using Xinerama, Thanks to Tanaka Akira for the
    patch
    Closes: #567297
  * debian/control:
    - Standards-Version: 3.8.4 (added README.source)
    - Depends: ${misc:Depends}
  * Debhelper 7

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2010 13:49:06 +0100

feh (1.3.4.dfsg.1-3) unstable; urgency=low

  * Added debian/feh.install to install feh.desktop which really
    Closes: #477785
  * DM-Upload-Allowed: yes
  * debian/control: Homepage, Vcs fields

 -- Andreas Tille <tille@debian.org>  Wed, 27 Aug 2008 08:41:29 +0200

feh (1.3.4.dfsg.1-2) unstable; urgency=low

  * New maintainer
    Closes: #492503
  * Standards-Version: 3.8.0 (no changes needed)
  * Applied patch from Fedora which fixes the escape filename issue in
    ~/.fehbg issue (Thanks to Hans de Goede <j.w.r.degoede@hhs.nl>)
    Closes: #470863
  * debian/feh.mime: s/pnm/x-portable-anymap/, s/xpm/x-xpixmap/,
    s/tga/targa/, removed argb entry
    Closes: #420889
  * Added desktop file (Thanks to Guillaume giggz <giggzounet@gmail.com>)
    Closes: #477785
  * Enable new source format 3.0 (quilt) by avoiding explicit usage
    of -p0 option in debian/patches/series (Thanks to Raphael Hertzog
    <hertzog@debian.org>)
    Closes: #485246
  * Confirm NMU with copyright issue
    Closes: #438982
  * Removed x-dev from Build-Depends
  * debian/patches/04_remove_menubg_britney_build_target.patch:
    Remove menubg_britney.png from list of build targets
  * Do not depend from specific automake version
  * debian/rules: s/maintainer-clean/distclean/
  * Rename /usr/bin/gen_cam_menu.sh to /usr/bin/gen_cam_menu
    and document this in README.Debian
  * debian/patches/04_prevent_removal_feh_spec.patch:
    Do not remove files contained in upstream tarball in clean
    target

 -- Andreas Tille <tille@debian.org>  Mon, 25 Aug 2008 20:50:31 +0200

feh (1.3.4.dfsg.1-1) unstable; urgency=low

  * acknowledge NMU (can't Britneys just get along?), thanks Paul.
    (Closes: #452924)
  * added upstream trac changesets
  * added libxinerama-dev dependency fixe by Zach Miller. Thanks.
    (Closes: #411003)
  * added HTTP support fix by Richard Lowe. Reported by Matthew Exley.
    Thanks. (Closes: #330912)
  * added NETWM fullscreen support by Eric Shattow. Reported by Vincent
    Ho. Thanks. (Closes: #362618)
  * fixed download url in debian/copyright. Reported by Gürkan Sengün.
    Thanks. (Closes: #364040)
  * added fix for spaces in .fehbg filenames iby "Géraud Meyer". Thanks.
    (Closes: #397125)
  * added fix for mailcap bmp entry by Oskar Liljeblad. Thanks.
    (Closes: #387840)

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 27 Nov 2007 23:56:40 -0500

feh (1.3.4.dfsg.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non-free image from the source package (Closes: #438982)
    - Patch autotools stuff and code to remove references to it
      - Regenerate autotools output at build time
  * Add get-orig-source target to recreate the new orig.tar.gz

 -- Paul Wise <pabs@debian.org>  Mon, 26 Nov 2007 15:43:42 +0930

feh (1.3.4-2) unstable; urgency=low

  * Closes: #321926, remove /usr/doc again, reported by Bas Zoetekouw.
    Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 16 Aug 2005 02:22:24 -0400

feh (1.3.4-1) unstable; urgency=low



## feh 1.8

=== Makefile ===
include config.mk

all:
	@${MAKE} -C src

test: all
	@PACKAGE=${PACKAGE} VERSION=${VERSION} prove test

test-x11: all
	@test/run-interactive

install: install-man install-doc install-bin install-font install-img

install-man:
	@echo installing manuals to ${man_dir}
	@mkdir -p ${man_dir}/man1
	@cp man/* ${man_dir}/man1
	@chmod 644 ${man_dir}/man1/feh.1 ${man_dir}/man1/feh-cam.1 \
		${man_dir}/man1/gen-cam-menu.1

install-doc:
	@echo installing docs to ${doc_dir}
	@mkdir -p ${doc_dir}
	@cp AUTHORS ChangeLog README TODO ${doc_dir}
	@chmod 644 ${doc_dir}/*

install-bin:
	@echo installing executables to ${bin_dir}
	@mkdir -p ${bin_dir}
	@cp src/feh cam/feh-cam cam/gen-cam-menu ${bin_dir}
	@chmod 755 ${bin_dir}/feh ${bin_dir}/feh-cam \
		${bin_dir}/gen-cam-menu

install-font:
	@echo installing fonts to ${font_dir}
	@mkdir -p ${font_dir}
	@cp data/fonts/* ${font_dir}
	@chmod 644 ${font_dir}/*

install-img:
	@echo installing images to ${image_dir}
	@mkdir -p ${image_dir}
	@cp data/images/* ${image_dir}
	@chmod 644 ${image_dir}/*


uninstall:
	rm -f ${man_dir}/man1/feh.1 ${man_dir}/man1/feh-cam.1
	rm -f ${man_dir}/man1/gen-cam-menu.1
	rm -rf ${doc_dir}
	rm -f ${bin_dir}/feh ${bin_dir}/feh-cam ${bin_dir}/gen-cam-menu
	rm -rf ${font_dir}
	rm -rf ${image_dir}

clean:
	@${MAKE} -C src clean

.PHONY: all test test-x11 install uninstall clean install-man install-doc \
	install-bin install-font install-img

=== src/Makefile ===
include ../config.mk

TARGETS = ${shell echo *.c}
OBJECTS = ${TARGETS:.c=.o}

I_SRCS = ${shell echo *.raw}
I_DSTS = ${I_SRCS:.raw=.inc}

feh: deps.mk ${OBJECTS} ${I_DSTS}
	${CC} ${LDFLAGS} ${CFLAGS} -o $@ ${OBJECTS} ${LDLIBS}

include deps.mk

.raw.inc:
	sed 's/^\(.*\)$$/"\1\\n"/' < ${@:.inc=.raw} > $@

fehrc.inc: fehrc.raw
help.inc: help.raw


deps.mk: ${TARGETS} ${I_DSTS}
	${CC} -MM ${TARGETS} > $@

clean:
	rm -f feh *.o *.inc

.PHONY: clean

.SUFFIXES: .inc .raw

=== debian/changelog ===
feh (1.8-1) unstable; urgency=low

  * New upstream version
    Closes: #587205

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jun 2010 09:17:24 +0200

=== debian/control ===
Source: feh
Section: graphics
Priority: optional
Maintainer: Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: libx11-dev, libxt-dev, libimlib2-dev (>= 1.4.2-8), giblib-dev, libxinerama-dev,
 debhelper (>= 7.1), quilt, perl-modules, libtest-command-perl
Standards-Version: 3.8.4
Homepage: https://derf.homelinux.org/~derf/projects/feh/
X-Old-Homepage: http://linuxbrit.co.uk/feh
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/feh/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/feh/trunk/

Package: feh
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wget, libjpeg-progs
Description: imlib2 based image viewer
 feh is a fast, lightweight image viewer which uses imlib2. It is
 commandline-driven and supports multiple images through
 slideshows, thumbnail browsing or multiple windows, and montages
 or index prints (using TrueType fonts to display file info).
 Advanced features include fast dynamic zooming, progressive
 loading, loading via HTTP (with reload support for watching
 webcams), recursive file opening (slideshow of a directory
 hierarchy), and mouse wheel/keyboard control.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_MAKE_INVOKE += LDFLAGS="-Wl,--as-needed" #sloppy_but_works_hrmmm_...

%:
	dh $@

binary-post-install/feh::
	dh_installmime
	rm -r debian/feh/usr/doc

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/feh PREFIX=/usr

##override_dh_auto_test:
	# The test only does syntax checking of manual and is intended only
	# for the developer (and fails in the Debian build because of missing
	# private test script

=== debian/watch ===
version=3
https://derf.homelinux.org/~derf/projects/feh/feh-(.+)\.tar\.bz2

## feh 1.10

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,26 @@
 include config.mk
 
-all:
+all: build-src build-man
+
+build-src:
 	@${MAKE} -C src
+
+build-man:
+	@${MAKE} -C man
 
 test: all
 	@PACKAGE=${PACKAGE} VERSION=${VERSION} prove test
 
 test-x11: all
-	@test/run-interactive
+	test/run-interactive
+	prove test/feh-bg.i
 
 install: install-man install-doc install-bin install-font install-img
 
 install-man:
 	@echo installing manuals to ${man_dir}
 	@mkdir -p ${man_dir}/man1
-	@cp man/* ${man_dir}/man1
+	@cp man/*.1 ${man_dir}/man1
 	@chmod 644 ${man_dir}/man1/feh.1 ${man_dir}/man1/feh-cam.1 \
 		${man_dir}/man1/gen-cam-menu.1
 
@@ -52,8 +58,25 @@
 	rm -rf ${font_dir}
 	rm -rf ${image_dir}
 
+dist:
+	mkdir /tmp/feh-${VERSION}
+	git --work-tree=/tmp/feh-${VERSION} checkout -f
+	sed -i 's/^VERSION ?= .*$$/VERSION ?= ${VERSION}/' \
+		/tmp/feh-${VERSION}/config.mk
+	tar -C /tmp -cjf ../feh-${VERSION}.tar.bz2 feh-${VERSION}
+	rm -r /tmp/feh-${VERSION}
+
+disttest: dist
+	tar -C /tmp -xjf ../feh-${VERSION}.tar.bz2
+	make -C /tmp/feh-${VERSION}
+	make -C /tmp/feh-${VERSION} test
+	make -C /tmp/feh-${VERSION} install DESTDIR=./install
+	make -C /tmp/feh-${VERSION} uninstall DESTDIR=./install
+	rm -r /tmp/feh-${VERSION}
+
 clean:
 	@${MAKE} -C src clean
+	@${MAKE} -C man clean
 
 .PHONY: all test test-x11 install uninstall clean install-man install-doc \
-	install-bin install-font install-img
+	install-bin install-font install-img dist

=== man/Makefile ===
include ../config.mk

SOURCES = ${shell echo *.pre}
TARGETS = ${SOURCES:.pre=.1}

all: ${TARGETS}

.pre.1:
	sed \
	-e 's/\$$VERSION\$$/${VERSION}/g' \
	-e 's/\$$DATE\$$/'"$$(date '+%B %d, %Y')"/g \
	< ${@:.1=.pre} > $@

clean:
	rm *.1

.SUFFIXES: .pre .1

.PHONY: clean

=== debian/changelog ===
feh (1.10-1) unstable; urgency=low

  * New upstream version
  * Group maintenance in pkg-phototools group

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2010 22:06:35 +0200

feh (1.9-1) unstable; urgency=low

  * New upstream version
    Closes: #445915
  * debian/watch: s/https:/http:/
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2010 09:55:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: feh
 Section: graphics
 Priority: optional
-Maintainer: Andreas Tille <tille@debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: libx11-dev, libxt-dev, libimlib2-dev (>= 1.4.2-8), giblib-dev, libxinerama-dev,
  debhelper (>= 7.1), quilt, perl-modules, libtest-command-perl
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: https://derf.homelinux.org/~derf/projects/feh/
-X-Old-Homepage: http://linuxbrit.co.uk/feh
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/feh/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/feh/trunk/
+Vcs-Browser: http://git.debian.org/?p=pkg-phototools/feh.git
+Vcs-Git: git://git.debian.org/git/pkg-phototools/feh.git
 
 Package: feh
 Architecture: any

=== debian/watch ===
version=3
http://derf.homelinux.org/~derf/projects/feh/feh-(.+)\.tar\.bz2

## feh 1.14.2

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,14 @@
 	@${MAKE} -C man
 
 test: all
-	@PACKAGE=${PACKAGE} VERSION=${VERSION} prove test
+	@PACKAGE=${PACKAGE} prove test
 
 test-x11: all
 	test/run-interactive
 	prove test/feh-bg.i
 
 install: install-man install-doc install-bin install-font install-img
+install: install-examples
 
 install-man:
 	@echo installing manuals to ${man_dir}
@@ -40,14 +41,20 @@
 install-font:
 	@echo installing fonts to ${font_dir}
 	@mkdir -p ${font_dir}
-	@cp data/fonts/* ${font_dir}
+	@cp share/fonts/* ${font_dir}
 	@chmod 644 ${font_dir}/*
 
 install-img:
 	@echo installing images to ${image_dir}
 	@mkdir -p ${image_dir}
-	@cp data/images/* ${image_dir}
+	@cp share/images/* ${image_dir}
 	@chmod 644 ${image_dir}/*
+
+install-examples:
+	@echo installing examples to ${example_dir}
+	@mkdir -p ${example_dir}
+	@cp examples/* ${example_dir}
+	@chmod 644 ${example_dir}/*
 
 
 uninstall:
@@ -61,6 +68,7 @@
 dist:
 	mkdir /tmp/feh-${VERSION}
 	git --work-tree=/tmp/feh-${VERSION} checkout -f
+	cp src/deps.mk /tmp/feh-${VERSION}/src/deps.mk
 	sed -i 's/^VERSION ?= .*$$/VERSION ?= ${VERSION}/' \
 		/tmp/feh-${VERSION}/config.mk
 	tar -C /tmp -cjf ../feh-${VERSION}.tar.bz2 feh-${VERSION}
@@ -79,4 +87,4 @@
 	@${MAKE} -C man clean
 
 .PHONY: all test test-x11 install uninstall clean install-man install-doc \
-	install-bin install-font install-img dist
+	install-bin install-font install-img install-examples dist

=== debian/changelog ===
feh (1.14.2-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jul 2011 12:42:11 +0200

feh (1.14.1-1) unstable; urgency=low

  * New upstream version
    Closes: #570903, #625683
  * Standards-Version: 3.9.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2011 18:29:28 +0200

feh (1.13-1) unstable; urgency=low

  * New upstream version
    Closes: #599611 (was actually closed in version 1.10.1)
  * Prevent copy of ChangeLog in doc dir
    Closes: #620413
  * Adapted debian/watch file

 -- Andreas Tille <tille@debian.org>  Tue, 26 Apr 2011 08:42:35 +0200

feh (1.12-1) unstable; urgency=low

  * New upstream version
  * Debhelper 8 (compat+control)
  * Build-Depends: libcurl4-openssl-dev | libcurl-dev
    (do not recommend wget any more)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Mar 2011 10:39:11 +0200

feh (1.11.2-1) unstable; urgency=low

  * New upstream version
    Closes: #362762
  * debian/watch: New upstream location
  * debian/{control,copyright}: New homepage location
  * removed debian/patches (all applied upstream)
  * debian/patches/do_not_touch_deps_mk.patch: make sure src/deps.mk will
    not be changed

 -- Andreas Tille <tille@debian.org>  Mon, 14 Feb 2011 19:47:19 +0100

## feh 1.16.1

=== debian/changelog ===
feh (1.16.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2011 10:01:45 +0200

feh (1.16-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 09 Sep 2011 11:15:23 +0200

feh (1.15.1-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2011 16:06:57 +0200

=== debian/rules ===
#!/usr/bin/make -f

#DEB_MAKE_INVOKE += LDFLAGS="-Wl,--as-needed" #sloppy_but_works_hrmmm_...

%:
	dh $@ --with quilt

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/feh PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

## feh 2.0

=== man/Makefile ===
--- 
+++ 
@@ -9,10 +9,13 @@
 	sed \
 	-e 's/\$$VERSION\$$/${VERSION}/g' \
 	-e 's/\$$DATE\$$/'"$$(date '+%B %d, %Y')"/g \
+	-e 's/\$$MAN_CURL\$$/${MAN_CURL}/' \
+	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
+	-e 's/\$$MAN_XINERAMA\$$/${MAN_XINERAMA}/' \
 	< ${@:.1=.pre} > $@
 
 clean:
-	rm *.1
+	rm -f *.1
 
 .SUFFIXES: .pre .1

=== debian/changelog ===
feh (2.0-1) unstable; urgency=low

  * New upstream version
    Closes: #475481

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2011 14:44:42 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: libx11-dev, libxt-dev, libimlib2-dev (>= 1.4.2-8), giblib-dev, libxinerama-dev,
- debhelper (>= 7.1), quilt, perl-modules, libtest-command-perl
-Standards-Version: 3.9.1
-Homepage: https://derf.homelinux.org/~derf/projects/feh/
+ debhelper (>= 8), quilt (>= 0.47), perl-modules, libtest-command-perl,
+ libcurl4-openssl-dev | libcurl-dev
+Standards-Version: 3.9.2
+Homepage: http://feh.finalrewind.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/feh.git
 Vcs-Git: git://git.debian.org/git/pkg-phototools/feh.git
 
@@ -15,7 +16,7 @@
 Architecture: any
 Section: graphics
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: wget, libjpeg-progs
+Recommends: libjpeg-progs
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is
  commandline-driven and supports multiple images through

## feh 2.1

=== debian/changelog ===
feh (2.1-1) unstable; urgency=low

  * New upstream version
    Closes: #646421

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2011 15:08:18 +0100

## feh 2.2

=== debian/changelog ===
feh (2.2-1) unstable; urgency=low

  * New upstream version (+ adapted patch)
    Closes: #653689

 -- Andreas Tille <tille@debian.org>  Mon, 02 Jan 2012 21:54:16 +0100

## feh 2.3

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,8 @@
 	@echo installing docs to ${doc_dir}
 	@mkdir -p ${doc_dir}
 	@cp AUTHORS ChangeLog README TODO ${doc_dir}
-	@chmod 644 ${doc_dir}/*
+	@chmod 644 ${doc_dir}/AUTHORS ${doc_dir}/ChangeLog ${doc_dir}/README \
+		${doc_dir}/TODO
 
 install-bin:
 	@echo installing executables to ${bin_dir}

=== man/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	-e 's/\$$DATE\$$/'"$$(date '+%B %d, %Y')"/g \
 	-e 's/\$$MAN_CURL\$$/${MAN_CURL}/' \
 	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
+	-e 's/\$$MAN_EXIF\$$/${MAN_EXIF}/' \
 	-e 's/\$$MAN_XINERAMA\$$/${MAN_XINERAMA}/' \
 	< ${@:.1=.pre} > $@

=== debian/changelog ===
feh (2.3-2) unstable; urgency=low

  * Enable hardening flags (thanks to Simon Ruderich <simon@ruderich.org>
    for the patch)
    Closes: #658497
  * Removed quilt from Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2012 15:36:04 +0100

feh (2.3-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 02 Feb 2012 22:05:54 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-#DEB_MAKE_INVOKE += LDFLAGS="-Wl,--as-needed" #sloppy_but_works_hrmmm_...
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- PREFIX=/usr

## feh 2.9.3

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
 include config.mk
 
-all: build-src build-man
+all: build-src build-man build-applications
 
 build-src:
 	@${MAKE} -C src
 
 build-man:
 	@${MAKE} -C man
+
+build-applications:
+	@${MAKE} -C share/applications
 
 test: all
 	@PACKAGE=${PACKAGE} prove test
@@ -16,7 +19,7 @@
 	prove test/feh-bg.i
 
 install: install-man install-doc install-bin install-font install-img
-install: install-examples
+install: install-examples install-applications
 
 install-man:
 	@echo installing manuals to ${man_dir}
@@ -57,12 +60,19 @@
 	@cp examples/* ${example_dir}
 	@chmod 644 ${example_dir}/*
 
+install-applications:
+	@echo installing desktop file to ${desktop_dir}
+	@mkdir -p ${desktop_dir}
+	@cp share/applications/feh.desktop ${desktop_dir}
+	@chmod 644 ${desktop_dir}/feh.desktop
+
 
 uninstall:
 	rm -f ${man_dir}/man1/feh.1 ${man_dir}/man1/feh-cam.1
 	rm -f ${man_dir}/man1/gen-cam-menu.1
 	rm -rf ${doc_dir}
 	rm -f ${bin_dir}/feh ${bin_dir}/feh-cam ${bin_dir}/gen-cam-menu
+	rm -f ${desktop_dir}/feh.desktop
 	rm -rf ${font_dir}
 	rm -rf ${image_dir}
 
@@ -86,6 +96,8 @@
 clean:
 	@${MAKE} -C src clean
 	@${MAKE} -C man clean
+	@${MAKE} -C share/applications clean
 
 .PHONY: all test test-x11 install uninstall clean install-man install-doc \
-	install-bin install-font install-img install-examples dist
+	install-bin install-font install-img install-examples \
+	install-applications dist

=== debian/changelog ===
feh (2.9.3-1) unstable; urgency=low

  * New upstream release.
  * Build with EXIF enabled (closes: #720596).
  * Update Standards-Version to 3.9.5 .
  * Add myself to Uploaders.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Jan 2014 12:22:54 +0000

feh (2.6.3-1) experimental; urgency=low

  * New upstream version
  * Standards-Version: 3.9.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2012 11:27:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
-DM-Upload-Allowed: yes
+Uploaders: Andreas Tille <tille@debian.org>, Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: libx11-dev, libxt-dev, libimlib2-dev (>= 1.4.2-8), giblib-dev, libxinerama-dev,
- debhelper (>= 8), quilt (>= 0.47), perl-modules, libtest-command-perl,
- libcurl4-openssl-dev | libcurl-dev
-Standards-Version: 3.9.2
+ debhelper (>= 9), perl-modules, libtest-command-perl,
+ libcurl4-openssl-dev | libcurl-dev, libexif-dev
+Standards-Version: 3.9.5
 Homepage: http://feh.finalrewind.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/feh.git
 Vcs-Git: git://git.debian.org/git/pkg-phototools/feh.git

=== debian/watch ===
version=3
http://feh.finalrewind.org/ \
   .*/feh-([\d\.]+)\.tar\.bz2

# http://www.chaosdorf.de/~derf/feh/feh-1.11.2.tar.bz2
# http://derf.homelinux.org/~derf/projects/feh/feh-(.+)\.tar\.bz2

## feh 2.12

=== debian/changelog ===
feh (2.12-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2017-7875
    It was possible to trigger an out-of-boundary heap write with the
    image viewer feh while receiving an IPC message.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 24 May 2020 16:03:02 +0200

feh (2.12-1) unstable; urgency=low

  * New upstream release, adjust packaging to build changes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Jun 2014 20:43:02 +0000

feh (2.11-1) unstable; urgency=low

  * New upstream release, fixes manual problem (closes: #745467).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 May 2014 12:00:39 +0200

feh (2.10-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2014 15:44:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>, Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: libx11-dev, libxt-dev, libimlib2-dev (>= 1.4.2-8), giblib-dev, libxinerama-dev,
+Build-Depends: libx11-dev, libxt-dev, libimlib2-dev (>= 1.4.2-8), libxinerama-dev,
  debhelper (>= 9), perl-modules, libtest-command-perl,
  libcurl4-openssl-dev | libcurl-dev, libexif-dev
 Standards-Version: 3.9.5

## feh 2.12-1

=== debian/control ===
Source: feh
Section: user/graphics
Priority: extra
Maintainer: Pawel Dajczak <totalizator@gmail.com>
Build-Depends: debhelper (>= 5), libcurl4-openssl-dev, libx11-dev, libxt-dev, libimlib2-dev, libxinerama-dev, libjpeg-progs
Standards-Version: 3.7.2
Homepage: http://feh.finalrewind.org/

Package: feh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://feh.finalrewind.org/
Description: feh is an X11 image viewer aimed mostly at console users.
 Unlike most other viewers, it does not have a fancy GUI, but simply displays images. It is controlled via commandline arguments and configurable key/mouse. 
XB-Maemo-Display-Name: feh image viewer
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH3QQMCwsaz+Fz
 eQAAA5FJREFUaN7tl89rHVUUxz9n3jybVFsjtCHgDyq2pSjoTgRBcCu4ddlt
 0YWbggriUvAfEFy4dSEUaqR0oVQF7VKhKKkRxWBsm5q0TRpj582de78u5s57
 k5fJe0+NVGG+8JifZ+753nPO95wHLVq0aNGiRYsWLVrcLdhdWE975Kv6N9+3
 oz/PWXeqQMSfHFAgPEEO4YGAks91+72zuvE2UAC8Zg9+Y3DYRTsPOAIunhfx
 vAAuaP3kbfyX1eLP2cHrPbTlEYVCegX36iruYyDUPZ0hnS/Q4wWi9EVvAmeA
 kAJMY0cO0aV0IuAQDvrXeWlEAHqEJ4E0EujsI3m0CzOD90UKpHGxDgmG6JTX
 TwMXAQ9YB5tNaxtcoKeAc8MEgBMGR2theBb4CMhTGuLSwQgIYQgjrcXQIBkV
 5wQj2XYUycAjG5W+2v3bw+92qntpkwMfam35R7IFwJdEUACB7Iry+Sp9dtrC
 J7r1g4MFQQiIgOTLjAkOff0PaqARaRPVDYqLn2r9ZeBOg43fjQDAVfILK7g3
 gF7D46IhPfaWQM3JHpA3PBuzg1LN1obsJtn9hO2ppLHS9IEd02M23S/adXzm
 YbNUpIEKbVDcczosHQdWq1x8yx5eqxfxJv4P0GYlBL4UARWoN6+bzzi0Ujn6
 vN3v80r5FMjQZoF+94h8myJqtkCpG9x7FzgN9BojcC/JlIOp0qAsRI/olnyP
 1QjswDTJfkfYX263AKNTSrALMAesjNj6Awl2IKBKMMY2ql1VaBBv6ydtOkHf
 SzA6GL6fC6pUqTPOH8PiypN32UYVOqsby0v0vq1UKCCprMAcuDoqH79gY9Gj
 hYCCQLF/SGgrwPVRzvxGfsnBZaEQG6c80MVeBA5OrEKruK/mdfMVIGsIUD6K
 wLKyz67hXgdcg21vlG2Gzq1TvDOkcpoh/W5iAjGUIS6W/RVJi8EPIxRsHHxc
 s5hU+dK9ntRcOZ7cFyMwLKPFNEl2h6B/uw/8LQTgpM2dcvhTeRwG67PUorLz
 l9h6Cdj6TxIYdCGjE4e/aiYqRUCzQHfPO3GOyAhxfBZWbmaYLGnVtf7oTf8b
 fjCCE+L1UG4HxeeKZG1n4e8ognjM+v8HXrAHkvO6NQs8EQkJ+BX4fhyJw3Rt
 FfcIcJwxU2rEtQS7HJA7RDdZwx2JtooF/BOwVC/afZj10EPAiTiFCvgFWNzr
 uapFixYtWrRo0aJFixb/L/wJDLzscpNv7lMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/feh.sgml > feh.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/feh.
	$(MAKE) DESTDIR=$(CURDIR)/debian/feh install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs

	rm -f debian/feh/usr/share/doc/feh/README
	rm -f debian/feh/usr/share/doc/feh/TODO
	rm -f debian/feh/usr/share/doc/feh/ChangeLog
	rm -f debian/feh/usr/share/applications/feh.desktop

	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress

	rm -f debian/feh/usr/share/doc/feh/changelog.gz

	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## feh 2.13.1

=== debian/changelog ===
feh (2.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 26 May 2015 20:43:24 +0000

feh (2.12.1-1) unstable; urgency=low

  * New upstream, bugfix release.
  * Specify %F for Exec key in the desktop entry to let open multiple files.
  * Update Standars-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 15 Apr 2015 20:08:22 +0000

=== debian/control ===
Source: feh
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: libx11-dev, libxt-dev, libimlib2-dev (>= 1.4.2-8), libxinerama-dev,
 debhelper (>= 9), perl-modules, libtest-command-perl,
 libcurl4-openssl-dev | libcurl-dev, libexif-dev
Standards-Version: 3.9.6
Homepage: http://feh.finalrewind.org/
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/feh.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/feh.git

Package: feh
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libjpeg-progs
Description: imlib2 based image viewer
 feh is a fast, lightweight image viewer which uses imlib2. It is
 commandline-driven and supports multiple images through
 slideshows, thumbnail browsing or multiple windows, and montages
 or index prints (using TrueType fonts to display file info).
 Advanced features include fast dynamic zooming, progressive
 loading, loading via HTTP (with reload support for watching
 webcams), recursive file opening (slideshow of a directory
 hierarchy), and mouse wheel/keyboard control.

## feh 2.14

=== Makefile ===
--- 
+++ 
@@ -12,21 +12,37 @@
 	@${MAKE} -C share/applications
 
 test: all
-	@PACKAGE=${PACKAGE} prove test
+	@PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t
 
 test-x11: all
 	test/run-interactive
-	prove test/feh-bg.i
+	prove test/feh-bg-i.t
 
 install: install-man install-doc install-bin install-font install-img
 install: install-examples install-applications
 
+ifeq (${cam},1)
+install: install-cam
+uninstall: uninstall-cam
+endif
+
+install-cam:
+	@echo installing fe-cam and gen-cam-menu
+	@cp man/feh-cam.1 man/gen-cam-menu.1 ${man_dir}/man1
+	@chmod 644 ${man_dir}/man1/feh-cam.1 ${man_dir}/man1/gen-cam-menu.1
+	@cp cam/feh-cam cam/gen-cam-menu ${bin_dir}
+	@chmod 755 ${bin_dir}/feh-cam ${bin_dir}/gen-cam-menu
+
+uninstall-cam:
+	rm -f ${man_dir}/man1/feh-cam.1
+	rm -f ${man_dir}/man1/gen-cam-menu.1
+	rm -f ${bin_dir}/feh-cam ${bin_dir}/gen-cam-menu
+
 install-man:
 	@echo installing manuals to ${man_dir}
 	@mkdir -p ${man_dir}/man1
-	@cp man/*.1 ${man_dir}/man1
-	@chmod 644 ${man_dir}/man1/feh.1 ${man_dir}/man1/feh-cam.1 \
-		${man_dir}/man1/gen-cam-menu.1
+	@cp man/feh.1 ${man_dir}/man1
+	@chmod 644 ${man_dir}/man1/feh.1
 
 install-doc:
 	@echo installing docs to ${doc_dir}
@@ -38,9 +54,8 @@
 install-bin:
 	@echo installing executables to ${bin_dir}
 	@mkdir -p ${bin_dir}
-	@cp src/feh cam/feh-cam cam/gen-cam-menu ${bin_dir}
-	@chmod 755 ${bin_dir}/feh ${bin_dir}/feh-cam \
-		${bin_dir}/gen-cam-menu
+	@cp src/feh ${bin_dir}
+	@chmod 755 ${bin_dir}/feh
 
 install-font:
 	@echo installing fonts to ${font_dir}

=== debian/changelog ===
feh (2.14-1) unstable; urgency=medium

  * New upstream release.

  [ Andreas Tille <tille@debian.org> ]
  * Add signing key to verify download
  * cme fix dpkg-control
  * remove duplicate of section field
  * bump priority of mime entry from 7 to 2

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Nov 2015 15:29:00 +0100

=== debian/control ===
Source: feh
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Laszlo Boszormenyi (GCS) <gcs@debian.org>
Section: graphics
Priority: optional
Build-Depends: libx11-dev,
               libxt-dev,
               libimlib2-dev,
               libxinerama-dev,
               debhelper (>= 9),
               perl-modules,
               libtest-command-perl,
               libcurl4-openssl-dev | libcurl-dev,
               libexif-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/feh.git
Vcs-Git: git://anonscm.debian.org/pkg-phototools/feh.git
Homepage: http://feh.finalrewind.org/

Package: feh
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libjpeg-progs
Description: imlib2 based image viewer
 feh is a fast, lightweight image viewer which uses imlib2. It is
 commandline-driven and supports multiple images through
 slideshows, thumbnail browsing or multiple windows, and montages
 or index prints (using TrueType fonts to display file info).
 Advanced features include fast dynamic zooming, progressive
 loading, loading via HTTP (with reload support for watching
 webcams), recursive file opening (slideshow of a directory
 hierarchy), and mouse wheel/keyboard control.

## feh 2.16.2

=== debian/changelog ===
feh (2.16.2-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 11 Aug 2016 22:15:30 -0500

feh (2.16.2-1) unstable; urgency=low

  * New upstream release.

  [ Chris Lamb <lamby@debian.org> ]
  * Make the build reproducible (closes: #832178).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Aug 2016 10:36:58 +0000

feh (2.16.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 22 Jul 2016 19:07:03 +0000

feh (2.16-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Jun 2016 13:24:40 +0000

feh (2.15.3-1) unstable; urgency=low

  * New upstream release.
  * Change perl-modules build depends to perl.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Apr 2016 12:16:06 +0000

feh (2.15.2-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Apr 2016 14:51:43 +0000

feh (2.14.2-1) unstable; urgency=low

  * New upstream release.
  * Remove ignore_test_results_on_weak_architectures patch as this release
    contains it.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 03 Mar 2016 17:42:43 +0100

feh (2.14.1-2) unstable; urgency=medium

  * skip all tests on debian arm* / mips* (broken Imlib2, again)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Feb 2016 08:41:16 +0100

feh (2.14.1-1) unstable; urgency=medium

  * New upstream release
    Closes: #812657

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2016 22:11:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: feh
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Bugs: mailto: <maintainer@mepiscommunity.org>
 Section: graphics
 Priority: optional
 Build-Depends: libx11-dev,
@@ -9,11 +11,11 @@
                libimlib2-dev,
                libxinerama-dev,
                debhelper (>= 9),
-               perl-modules,
+               perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
                libexif-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/feh.git
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/feh.git
 Homepage: http://feh.finalrewind.org/

## feh 2.18

=== Makefile ===
--- 
+++ 
@@ -12,14 +12,18 @@
 	@${MAKE} -C share/applications
 
 test: all
-	@PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t
+	@if ! uname -m | fgrep -q -e arm -e mips; then \
+		PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t; \
+	else \
+		PACKAGE=${PACKAGE} prove test/feh.t test/mandoc.t || cat test/imlib2-bug-notice; \
+	fi
 
 test-x11: all
 	test/run-interactive
 	prove test/feh-bg-i.t
 
 install: install-man install-doc install-bin install-font install-img
-install: install-examples install-applications
+install: install-icon install-examples install-applications
 
 ifeq (${cam},1)
 install: install-cam
@@ -47,8 +51,8 @@
 install-doc:
 	@echo installing docs to ${doc_dir}
 	@mkdir -p ${doc_dir}
-	@cp AUTHORS ChangeLog README TODO ${doc_dir}
-	@chmod 644 ${doc_dir}/AUTHORS ${doc_dir}/ChangeLog ${doc_dir}/README \
+	@cp AUTHORS ChangeLog README.md TODO ${doc_dir}
+	@chmod 644 ${doc_dir}/AUTHORS ${doc_dir}/ChangeLog ${doc_dir}/README.md \
 		${doc_dir}/TODO
 
 install-bin:
@@ -69,6 +73,17 @@
 	@cp share/images/* ${image_dir}
 	@chmod 644 ${image_dir}/*
 
+install-icon:
+	@echo installing icon to ${48_icon_dir}
+	@mkdir -p ${48_icon_dir}
+	@cp share/images/feh.png ${48_icon_dir}
+	@echo installing icon to ${scalable_icon_dir}
+	@mkdir -p ${scalable_icon_dir}
+	@cp share/images/feh.svg ${scalable_icon_dir}
+	@if test "${app}" = 1 && which gtk-update-icon-cache > /dev/null 2>&1; then \
+		gtk-update-icon-cache ${icon_dir}; \
+	fi
+
 install-examples:
 	@echo installing examples to ${example_dir}
 	@mkdir -p ${example_dir}
@@ -83,19 +98,31 @@
 
 
 uninstall:
-	rm -f ${man_dir}/man1/feh.1 ${man_dir}/man1/feh-cam.1
-	rm -f ${man_dir}/man1/gen-cam-menu.1
+	rm -f ${man_dir}/man1/feh.1
 	rm -rf ${doc_dir}
-	rm -f ${bin_dir}/feh ${bin_dir}/feh-cam ${bin_dir}/gen-cam-menu
+	rm -f ${bin_dir}/feh
 	rm -f ${desktop_dir}/feh.desktop
 	rm -rf ${font_dir}
 	rm -rf ${image_dir}
+	@if test -e ${48_icon_dir}/feh.png; then \
+		echo rm -f ${48_icon_dir}/feh.png; \
+		rm -f ${48_icon_dir}/feh.png; \
+	fi
+	@if test -e ${scalable_icon_dir}/feh.svg; then \
+		echo rm -f ${scalable_icon_dir}/feh.svg; \
+		rm -f ${scalable_icon_dir}/feh.svg; \
+	fi
+	@if which gtk-update-icon-cache > /dev/null 2>&1; then \
+		gtk-update-icon-cache ${icon_dir}; \
+	fi
 
 dist:
 	mkdir /tmp/feh-${VERSION}
 	git --work-tree=/tmp/feh-${VERSION} checkout -f
 	cp src/deps.mk /tmp/feh-${VERSION}/src/deps.mk
 	sed -i 's/^VERSION ?= .*$$/VERSION ?= ${VERSION}/' \
+		/tmp/feh-${VERSION}/config.mk
+	sed -i 's/^MAN_DATE ?= .*$$/MAN_DATE ?= ${MAN_DATE}/' \
 		/tmp/feh-${VERSION}/config.mk
 	tar -C /tmp -cjf ../feh-${VERSION}.tar.bz2 feh-${VERSION}
 	rm -r /tmp/feh-${VERSION}

=== man/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 .pre.1:
 	sed \
 	-e 's/\$$VERSION\$$/${VERSION}/g' \
-	-e 's/\$$DATE\$$/'"$$(date '+%B %d, %Y')"/g \
+	-e 's/\$$DATE\$$/${MAN_DATE}/g' \
 	-e 's/\$$MAN_CURL\$$/${MAN_CURL}/' \
 	-e 's/\$$MAN_DEBUG\$$/${MAN_DEBUG}/' \
 	-e 's/\$$MAN_EXIF\$$/${MAN_EXIF}/' \

=== debian/changelog ===
feh (2.18-2) unstable; urgency=high

  * Backport security fix for CVE-2017-7875, double-free/OOB-write while
    receiving IPC data (closes: #860367).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Apr 2017 15:42:10 +0000

feh (2.18-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 08 Nov 2016 17:17:58 +0000

feh (2.17.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Sep 2016 16:37:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: feh
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
 Section: graphics
 Priority: optional
 Build-Depends: libx11-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build --parallel -- PREFIX=/usr exif=1

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/feh PREFIX=/usr cam=1

override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

%:
	dh $@

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_installchangelogs

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
  http://feh.finalrewind.org/ .*/feh-([\d\.]+)\.tar\.bz2

## feh 2.19

=== debian/changelog ===
feh (2.19-1) unstable; urgency=low

  * New upstream release.
  * Remove patch for CVE-2017-7875, this release contains it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 05:09:04 +0000

## feh 2.23.2

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,8 @@
 install-bin:
 	@echo installing executables to ${bin_dir}
 	@mkdir -p ${bin_dir}
-	@cp src/feh ${bin_dir}
+	@cp src/feh ${bin_dir}/feh.tmp
+	@mv ${bin_dir}/feh.tmp ${bin_dir}/feh
 	@chmod 755 ${bin_dir}/feh
 
 install-font:
@@ -77,9 +78,11 @@
 	@echo installing icon to ${48_icon_dir}
 	@mkdir -p ${48_icon_dir}
 	@cp share/images/feh.png ${48_icon_dir}
+	@chmod 644 ${48_icon_dir}/feh.png
 	@echo installing icon to ${scalable_icon_dir}
 	@mkdir -p ${scalable_icon_dir}
 	@cp share/images/feh.svg ${scalable_icon_dir}
+	@chmod 644 ${scalable_icon_dir}/feh.svg
 	@if test "${app}" = 1 && which gtk-update-icon-cache > /dev/null 2>&1; then \
 		gtk-update-icon-cache ${icon_dir}; \
 	fi

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,40 @@
 include ../config.mk
 
-TARGETS = ${shell echo *.c}
+TARGETS = \
+	collage.c \
+	events.c \
+	feh_png.c \
+	filelist.c \
+	getopt.c \
+	getopt1.c \
+	gib_hash.c \
+	gib_imlib.c \
+	gib_list.c \
+	gib_style.c \
+	imlib.c \
+	index.c \
+	keyevents.c \
+	list.c \
+	main.c \
+	md5.c \
+	menu.c \
+	multiwindow.c \
+	options.c \
+	signals.c \
+	slideshow.c \
+	thumbnail.c \
+	timers.c \
+	utils.c \
+	wallpaper.c \
+	winwidget.c
+
+ifeq (${exif},1)
+	TARGETS += \
+		exif.c \
+		exif_canon.c \
+		exif_nikon.c
+endif
+
 OBJECTS = ${TARGETS:.c=.o}
 
 I_SRCS = ${shell echo *.raw}
@@ -17,9 +51,9 @@
 fehrc.inc: fehrc.raw
 help.inc: help.raw
 
-
+# CFLAGS might contain include paths needed to resolve includes in headers
 deps.mk: ${TARGETS} ${I_DSTS}
-	${CC} -MM ${TARGETS} > $@
+	${CC} ${CFLAGS} -MM ${TARGETS} > $@
 
 clean:
 	rm -f feh *.o *.inc

=== debian/changelog ===
feh (2.23.2-1build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 06:50:14 +0000

feh (2.23.2-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Use yudit.ttf from yudit-common package
  * Use secure URI in d/watch

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 22:45:32 +0100

feh (2.22.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 08 Nov 2017 17:29:32 +0000

feh (2.21-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 10 Oct 2017 17:51:47 +0000

feh (2.20-1) unstable; urgency=medium

  * New upstream release.
  * Update reproducible_build patch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Sep 2017 19:37:00 +0000

feh (2.19.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Aug 2017 15:45:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: feh
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics
@@ -8,20 +9,21 @@
                libxt-dev,
                libimlib2-dev,
                libxinerama-dev,
-               debhelper (>= 9),
+               debhelper (>= 10),
                perl,
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
                libexif-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/feh.git
-Vcs-Git: git://anonscm.debian.org/pkg-phototools/feh.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/feh.git
 Homepage: http://feh.finalrewind.org/
 
 Package: feh
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         yudit-common
 Recommends: libjpeg-progs
 Description: imlib2 based image viewer
  feh is a fast, lightweight image viewer which uses imlib2. It is

## feh 2.27

=== debian/changelog ===
feh (2.27-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Jul 2018 15:56:25 +0000

feh (2.26.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 May 2018 09:29:02 +0000

feh (2.26.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields to salsa.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 15 May 2018 18:54:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: feh
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Section: graphics
@@ -14,9 +13,9 @@
                libtest-command-perl,
                libcurl4-openssl-dev | libcurl-dev,
                libexif-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-phototools/feh.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-phototools/feh.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/feh
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/feh.git
 Homepage: http://feh.finalrewind.org/
 
 Package: feh
